*, ::before, ::after {
    box-sizing: border-box;
}
button {
    cursor: pointer;
}
body {
    margin: 0;
    padding: 0;
    /* background-color: aqua; */
}
#main {
    width: 900px;
    height: 500px;
    /* background-color: black; */
    margin-inline: auto;
    margin-top: 70px;
    box-shadow: 0px 0px 20px rgba(0, 0, 0, .5);
    border-radius: 10px;
    position: relative;
    overflow: hidden;
}
#left-main {
    width: 500px;
    height: 850px;
    transform: rotate(0deg);
    background-color: black;
    position: absolute;
    top: -220px;
    left: 400px;
    z-index: 10;
    animation: slide .1s ease-out 1 forwards;
}
#left-main img {
    width: 80%;
    height: 80%;
}
@keyframes slide {
    0% {
        left: 400px;
        transform: rotate(0deg);
    }
    100% {
        left: -90px;
        transform: rotate(35deg);
    }
}

#left-main div {
    font-size: 32px;
    margin-top: 200px;
    margin-left: 140px;
    color: white;
    transform: rotate(-35deg);
}

#right-main {
    position: absolute;
    top: 70px;
    right: 80px;
    width: 250px;
    height: 400px;
    /* background-color: aqua; */
    display: flex;
    justify-content: space-around;
    align-items: center;
}
.input-field {
    position: relative;
}
.input-field img {
    position: absolute;
    top: 29px;
    width: 20px;
    height: 20px;
}
#right-main input {
    border: none;
    width: 100%;
    margin-top: 30px;
    border-bottom: 2px solid #f4d525;
    outline: none;
    font-size: 15px;
    font-weight: 500;
    padding-left: 28px;
}
#right-main input::placeholder {
    transition: font-size .3s;
}
#right-main input:focus::placeholder {
    font-size: 12px;
}
#right-main label {
    font-size: 13px;
    padding-left: 5px;
}
#right-main label button {
    border: none;
    background-color: transparent;
    font-size: 12px;
    color: blue;
    margin-left: -5px;
}
#right-main label button:hover {
    color: red;
}
#forgot {
    margin-left: 120px;
}
#email-login {
    width: 250px;
    height: 350px;
    /* background-color: red; */
    /* display: none; */

}
#email-login #submit {
    border: none;
    background-color: transparent;
    border-radius: 5px;
    margin-top: 20px;
    width: 78px;
    height: 30px;
    margin-left: 65px;
    display: flex;
    align-items: center;
    font-size: 16px;
    font-weight: 700;
    transition: box-shadow .3s, transform .3s, background-color .3s;
}
#email-login #submit:hover {
    box-shadow: 5px 5px 5px rgba(0, 0, 0, .5);
    transform: scale(1.05);
    background-color: rgba(245, 214, 38, .3);
}
#email-login #submit img {
    margin-left: 3px;
}

#phone-login {
    width: 250px;
    height: 350px;
    display: none;
}

#phone-login #submitPhone {
    border: none;
    background-color: transparent;
    border-radius: 5px;
    margin-top: 20px;
    width: 78px;
    height: 30px;
    margin-left: 65px;
    display: flex;
    align-items: center;
    font-size: 16px;
    font-weight: 700;
    transition: box-shadow .3s, background-color .3s;
}
#phone-login #submitPhone:hover {
    box-shadow: 5px 5px 5px rgba(0, 0, 0, .5);
    background-color: rgba(245, 214, 38, .3);
}
#phone-login #submitPhone img {
    margin-left: 3px;
}
#right-main p {
    position: absolute;
    bottom: 60px;
    left: 0;
}
#right-main p button {
    border: none;
    margin-left: -5px;
    background-color: transparent;
}
#right-main p a:hover {
    color: red;
}
.error-message {
    font-size: 12px;
    color: red;
}